Ubuntu

Printer is not detected properly over USB

Reported by Sitsofe Wheeler on 2006-03-19
34
Affects Status Importance Assigned to Milestone
cupsys (Ubuntu)
Medium
Unassigned
Hardy
Medium
Unassigned
linux-source-2.6.15 (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
linux-source-2.6.17 (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
linux-source-2.6.20 (Ubuntu)
High
Unassigned
Hardy
High
Unassigned

Bug Description

Description of the problem:
I have a Brother HL1050 that was detected properly in breezy but does not seem to be in dapper.

Steps to reproduce the problem:
1. Plug printer into usb slot and turn the printer on.
2. Run gnome-cups-add .

Expected results:
Printer to be detected and shown under "Use a detected printer:". Printer manufacturer to be displayed in Printer Port dropdown.

Actual rsults:
"No printer detected" is displayed under Use a detected printer. "USB Printer #1 (CANON)" "USB Printer #1 (EPSON)" are displayed in Printer Port dropdown.

lsusb -v output

Forgot to add:
gnome-cups-manager 0.31-1.1ubuntu3 on dapper x86.

Thanks for your bug report.
Please post the output of the following command on a terminal that shows the printer devices available to CUPS:
$ lpinfo -v

Sitsofe Wheeler (sitsofe) wrote :

x@x:~$ lpinfo -v
network socket
network beh
network bluetooth
direct usb://Brother/HL-1050%20series
network http
network ipp
network lpd
direct canon:/dev/usblp0
direct epson:/dev/usblp0
network smb

This line indicates that your printer is detected by CUPS:
direct usb://Brother/HL-1050%20series

Could you please post a screenshot showing "No printer detected" under Use a detected printer (Use Alt+PrintScreen).

Is Brother HL-1050 USB #1 displayed in the Printer Port dropdown?

You could try to add your printer using CUPS webinterface instead of gnome-cups-manager, to do this type http://localhost:631 in firefox. Does this work?

You _really_ don't believe me do you? : ) I bet this turns out to be some sort of program race issue...

"Is Brother HL-1050 USB #1 displayed in the Printer Port dropdown?"

No it's not (I did say what was in the dropdown in the original report).

The cups web interface works slightly better and correctly shows
Brother HL-1050 series USB #1 (Brother HL-1050 series)
in the Device: dropdown along with the CANON and EPSON entries.

Thanks for the screenshot.
I did believe you but wanted to make sure ; )

Since you can add a printer using the cups web interface it think it must be a problem with gnome-cups-manager.

At this moment I have no idea what could cause this problem.

Sitsofe Wheeler (sitsofe) wrote :

Pascal I must apologise. I can reproduce the flakeyness with lpinfo.

By running
watch -d --interval 0.5 lpinfo -v

I was able to watch the output change at seemingly random intervals. Wiggling the cable did not change seem to affect the outcome, nor did the kernel see any usb unplug events. This is very bizzare (perhaps the printer is dying?)...

Sitsofe Wheeler (sitsofe) wrote :

Sometimes the output of the line:
direct usb://Brother/HL-1050%20series
is not complete and it says
direct usb://Brother/HL-

Matt Zimmerman (mdz) wrote :

Anything in dmesg?

Changed in gnome-cups-manager:
status: Unconfirmed → Needs Info
Sitsofe Wheeler (sitsofe) wrote :

There's nothing out of the ordinary in dmesg...

[4294957.288000] usb 1-2: new full speed USB device using uhci_hcd and address 3
[4294957.415000] drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 3 if 0 alt 0 proto 2 vid 0x04F9 pid 0x0002

There are no other usb events in dmesg even though the printer appears and disappears from lpinfo -v . The printer continues to show up in lsusb.

Here is the lpinfo -v when the printer has "disappeared":

network socket
network beh
network bluetooth
network http
network ipp
network lpd
direct canon:/dev/usblp0
direct epson:/dev/usblp0
network smb

Notice how "direct canon" and "direct epson" are still there. These go when the printer usb cable is unplugged...

Changed in gnome-cups-manager:
status: Needs Info → Unconfirmed
Matthias Klose (doko) wrote :

please recheck after a dist-upgrade to dapper 20060414, removal and reinstallation of the printer

Changed in gnome-cups-manager:
status: Unconfirmed → Needs Info
Sitsofe Wheeler (sitsofe) wrote :

I don't tend to do dis-upgrades willy nilly. However I have recently upgraded CUPS packages which I suspect was what you were getting at.

The output of lpinfo -v has changed to:
network socket
network beh
network bluetooth
direct usb://Brother/HL-1050%20series
direct hp:/no_device_found
network http
network ipp
network lpd
network smb

but as before from time to time the direct usb:// line will disappear even though the device is still shown in lsusb and there are no messages of its disappearence in dmesg.

Changed in gnome-cups-manager:
status: Needs Info → Unconfirmed
Sitsofe Wheeler (sitsofe) wrote :

OK after a lot effort I have narrowed this down a bit. I can show the same problem using:

watch -d=cumulative --interval=0.5 /usr/lib/cups/backend/usb

as root on two different consoles. It doesn't take long for them to start alternate showing and not showing the printer and if you are unlucky the printer will suddenly disappear and not come back until it is unplugged and replugged in.

I'm guessing this is either a hardware fault or that that the kernel USB driver on my system is a little bit flakey.

Sitsofe Wheeler (sitsofe) wrote :

This problem is still here in Ubuntu Edgy but as previously mentioned it could be a hardware fault...

For me it looks like a problem of the CUPS "usb" backend. Can you file an upstream bug report on

http://www.cups.org/str.php

Thanks.

Sitsofe Wheeler (sitsofe) wrote :

On Feisty this has improved. I can no longer make the printer disappear permanently. However doing repeated runs of the cups usb backend produces differing results:

while true; do /usr/lib/cups/backend/usb; done
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;�"
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;��"
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;"
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;��"
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;��"
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;��"
direct usb://Br/Unknown "Unknown" "Unknown USB #1" "MFG:Br"
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;P�"

Running the above in two separate terminals will sometimes make the printer briefly disappear from one of them. However stopping the polling in the non failing terminal will then make the printer reappear in the failing terminal.

Version information:
Ubuntu Feisty
cupsys 1.2.8-0ubuntu7

Stanley Sokolow (overbyte) wrote :

I have a similar problem with my Brother HL-1440 connected by USB port, on Ubuntu 7.04 (Feisty). This is a recent and up-to-date clean installation of the official release download, not an update from prior release. At first, the printer was detected and printed a test page ok. After some use, I started having erratic behavior of the printer. Documents would queue but not print even though I didn't change anything relating to the printer and the printer was still on and ready. For no apparent reason, the printer started working again under Feisty, for a while. Then failed to print again. The "lpinfo -v" output shows that the usb printer is detected sometimes (as "direct usb://Brother/HL-1440%20series") and after repeated lpinfo executions, the printer mysteriously disappears from the lpinfo output. When the printer is detected by lpinfo, doing a printer properties dialog shows the printer as a detected local printer on USB #1 and a test page prints fine. When the printer is not detected on lpinfo, doing the printer properties shows it as a Network Printer of type IPP Printer on Cups server (IPP), with URI= "usb://Brother/HL-1440 series" and the print-test-page sends data to the print queue but it hangs with Test Page job status showing as "printing:job-printing" and printer status saying that the printer was not ready (but it was). To force the printer to be detected again, I can unplug and replug the USB cable to it. The lpinfo -v shows it again, for a while, but it comes and goes and sometimes comes back. I thought the printer's sleep mode might be causing the driver to drop out, so to speak, but the Ready LED on the printer doesn't seem correlated with the times when the lpinfo can't see the printer and when it can. Once when I unpllugged and repllugged the USB cable, while a job was hung up in the print queue (printer icon in system tray), the stopped print job started and the test page actually was sent to the printer and it printed. When I do lpinfo -v, the system monitor shows 100% CPU load. "top" shows about 99% of the time is in cupsd. This goes on for quite a few seconds (maybe 10 to 20) then lpinfo produces its output. Also, when installing a printer, the search through the printer database takes a very long time, whcih has been reported in other bugs. Once I showed the printer properties dialog and it said "Status: Printing: No %%BoundingBox: comment in header!" and the connection tab showed that the printer had been detected as a network printer but this time with URI= parallel:/dev/lp0. Also, I have noticed that sometimes the lpinfo output includes direct parallel, direct canon, and direct epson entries, but they sometimes disappear from repeated executions of lpinfo. This erratic behavior almost defies description. The same hardware operates perfectly when I boot into Windows XP.

Here is Sitsofe's upstream bug report:

http://www.cups.org/str.php?L2379

Mike Sweet has closed it with the following comment:

The Brother USB implementation is full of bugs like this. Assuming that any
fix is possible, it will have to come from the kernel folks, because we
depend on the USB printer driver (character device) to get the 1284 device
ID from the printer.

Moving to the Kernel ...

Ben Collins (ben-collins) wrote :

I see nothing saying that this was tested in gutsy (2.6.22 kernel), but in 2.6.15 (dapper).

Changed in linux-source-2.6.22:
importance: Medium → Undecided

Can you please supply the kernel version which you are using? Do

uname -a

for that and post the output here.

Changed in linux-source-2.6.15:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Stanley Sokolow (overbyte) wrote :

I have now tried this on a fresh installation of OpenSUSE 10.2 on the same machine and same printer. (I just pulled out the hard drive on which Ubuntu was installed and installed SUSE on a different drive. This is easy for me, since I have removable drive drawers.) The results of the lpinfo -v command are similar: erratic visibility of the usb Brother HL-1440 printer, regardless of whether the printer is "ready" or in sleep mode. Unplugging and replugging the USB cable brings back the visibility for a while. I also tried this on Ubuntu 6.10. Same problems.

The lengthy delay while reading the printer database, which I mentioned in my prior comment on this bug, has been reported in other bugs. Note: https://bugs.launchpad.net/ubuntu/+source/gnome-cups-manager/+bug/44465 . Probably unrelated to this USB bug.

Can you post the output of "uname -a" for all distributions with which you have encountered the problem? Ubuntu Dapper, Edgy, Feisty, Gutsy, ... SUSE 10.2, ...? This way our kernel team will know which kernel versions are affected, and whether it is caused by kernel patches or not.

Changed in linux-source-2.6.15:
status: Confirmed → Needs Info
Sitsofe Wheeler (sitsofe) wrote :

uname -a output is:
Linux x 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

If this is testable from a gutsy livecd I can mark it against a later kernel too...

Setting back to confirmed.

Changed in linux-source-2.6.15:
status: Needs Info → Confirmed
Stanley Sokolow (overbyte) wrote :

My 'uname -a' output for the 3 installations I've tried it on (Ubuntu 7.04, Ubuntu 6.10, and OpenSUSE 10.2, respectively):
Linux Northgate-U704 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux
Linux Northgate-U610 2.6.17-10-generic #2 SMP Fri Oct 13 18:45:35 UTC 2006 i686 GNU/Linux
Linux Northgate-oS102 2.6.18.2-34-default #1 SMP Mon Nov 27 11:46:27 UTC 2006 i686 i686 i386 GNU/Linux

Here's more specific information. I tried each of the installations on the same hardware other than swapping out the primary hard disk on which Linux was installed as a clean installation, not an upgrade. It's a 2.2 GHz Celeron system with 512 MB of memory. Starting with the printer in sleep mode, I ran a watch command with default 2 sec intervals on the command 'lpinfo -v'. When I say that the printer was "visible", I mean that the appropriate line appears in the output of lpinfo showing "direct usb://Brother/HL-1440%20series". "Invisible" means the line was missing.

On Ubuntu 7.04, the printer started visible and stayed visible for a long time (15 minutes) at which time I pressed the wake-up button on the printer. The printer went "ready" (its LED lit steadily) and was still visible. 4 seconds later it went invisible, 6 seconds later visible, 19 seconds later invisible, and so on. Seemingly at random intervals, ranging from a few seconds to 30 seconds, it changes from visible to invisible and back to visible and so on. This was also true on Ubuntu 6.10 and OpenSUSE 10.2, with one difference: On SUSE, the sleeping printer starts invisible, whereas on Ubuntu it starts visible. On all three systems, unplugging, waiting about 10 seconds and replugging the USB cable, or turning off the printer and back on again, causes the printer to become visible but the cycling resumes at random intervals. The cycling continues even when the printer goes back into sleep mode.

If it would help as a regression test, I can replace the Ubuntu 6.10 or OpenSUSE 10.2 with a clean installation of earlier Linux releases and test again. I have quite a few earlier releases from SUSE, Ubuntu, Mandrake, and Red Hat, in my archives.

Stanley Sokolow, can you try the Gutsy live CD. Then we can see whether the recent kernel development has perhaps solved it.

Changed in linux-source-2.6.20:
status: Confirmed → Needs Info

Hi, Till,

I'd be happy to try it on Gutsy, but I can't find the live CD (or any CD
image of it). The link at http://cdimage.ubuntu.com/ only goes as far
as Feisty. Please reply with a link to the Gutsy daily CD image
download site.

Stan Sokolow

=============

Till Kamppeter wrote:
> Stanley Sokolow, can you try the Gutsy live CD. Then we can see whether
> the recent kernel development has perhaps solved it.
>
>
> ** Changed in: linux-source-2.6.20 (Ubuntu)
> Sourcepackagename: linux-source-2.6.15 => linux-source-2.6.20
>
> ** Changed in: linux-source-2.6.20 (Ubuntu)
> Status: Confirmed => Needs Info
>
>

Results of trying it on live CD of earlier releases:

5.10 (Breezy) shows the printer as visible all the time and does not cycle between invisible & visible randomly on 'lpinfo -v' output. However, when I printed a test page, it was sent to the printer queue but not printed. State of the print job was "Pending: printer stopped". The printer was in its ready state on the printer itself. The printer properties says "Paused: unable to open USB device 'usb://Brother/HL-1440%20series': No such device." The printer does appear on the pull-down ports list in the properties window. When I select it there and go to the printer's window and activate "resume printing", the waiting document prints.

6.06 LTS (Dapper) starts with the printer visible in 'lpinfo -v' but it has the cycling problem -- randomly visible and invisible. The Add-Printer function doesn't detect the printer while it is invisible but does detect it when visible in lpinfo. However, even when detected, the add-printer doesn't actually add the printer after finishing the dialog. I tried 3 times.

Remember, I have a Brother HL-1440 not HL-1050, but the problem seems to be shared by both of these printers on a USB port.

Stanley Sokolow (overbyte) wrote :

See my comment https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/113640/comments/7 in the duplicate bug #113640. It offers a way to work around this problem and a hypothesis about the cause of the problem.

Sitsofe Wheeler (sitsofe) wrote :

Reproduced the changing string problem with an Ubuntu Gutsy live CD, kernel 2.6.22-7-generic. Punting from 2.6.20 -> 2.6.22. Setting back to New. Can someone confirm this and assign this bug please?

Changed in linux-source-2.6.20:
status: Incomplete → New
Sitsofe Wheeler (sitsofe) wrote :

(I will just also note that I disabled autosuspend and the same cycling ID effect was seen)

Till:
I've just seen https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/113640/comments/8 . Although the cycling will still happen are you saying this problem is effectively worked around by hal-cups-utils in Gutsy?

hal-cups-utils does not solve the cycling ID problem. It only solves another problem mentioned in the last paragraph of the posting before:

https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/113640/comments/7

Changed in linux-source-2.6.22:
importance: Medium → High
status: New → Confirmed

Can you also test with Gutsy in single-user mode?

Changed in linux-source-2.6.15:
importance: Undecided → High
status: New → Confirmed
Changed in linux-source-2.6.17:
importance: Undecided → High
status: New → Confirmed
Changed in linux-source-2.6.20:
importance: Undecided → High
status: New → Confirmed
Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
Changed in linux-source-2.6.17:
assignee: nobody → ubuntu-kernel-team
Changed in linux-source-2.6.15:
assignee: nobody → ubuntu-kernel-team
Sitsofe Wheeler (sitsofe) wrote :

Sorry for the delay - it's been a busy week.

The cycling still occurs in single user mode (I booted to recovery mode then did telinit 1 to drop down the last level and remove nearly all running processes). A slightly old Gutsy running a 2.6.22-generic kernel on a Thinkpad T60 (the results prior to Gutsy were with an Athlon 850 desktop).

Henrik Nilsen Omma (henrik) wrote :

Removing dapper kernel task. This is not critical enough for a dapper update.

Changed in linux-source-2.6.15:
status: Confirmed → Won't Fix
Henrik Nilsen Omma (henrik) wrote :

Removing old kernel task.

Changed in linux-source-2.6.17:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.22:
importance: High → Medium
Changed in linux-source-2.6.22:
importance: Medium → Critical
Changed in linux-source-2.6.22:
importance: Critical → High
Changed in linux-source-2.6.22:
milestone: ubuntu-7.10-rc → gutsy-updates
Changed in linux-source-2.6.22:
milestone: gutsy-updates → none
38 comments hidden view all 117 comments
Sitsofe Wheeler (sitsofe) wrote :

$ while true; do /usr/lib/cups/backend/usb; done
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;
direct usb://Brother/HL-1050%20ser1050%20series "Brother HL-1050 ser1050 series" "Brother HL-1050 ser1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 ser1050 series;CLS:n
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;N
direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;

direct usb://Brother/HL-1050%20series "Brother HL-1050 series" "Brother HL-1050 series USB #1" "MFG:Brother;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 series;CLS:PRINTER;ñ"
␍␋⎼␊␌├ ┤⎽␉://B⎼⎺├␤␊⎼/HL-1050%20⎽␊⎼␋␊⎽ "B⎼⎺├␤␊⎼ HL-1050 ⎽␊⎼␋␊⎽" "B⎼⎺├␤␊⎼ HL-1050 ⎽␊⎼␋␊⎽ USB #1" "MFG:B⎼⎺├␤␊⎼;CMD:PCL5,PJL,PCLXL;MDL:HL-1050 ⎽␊⎼␋␊⎽;CLS:PRINTER;·þ"

$ while true; do /usr/lib/cups/backend/hal; done
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"
direct hal:///org/freedesktop/Hal/devices/usb_device_4f9_2_noserial_if0_printer_noserial "Brother HL-1050 series" "Brother HL-1050 series" "MFG:Brother;MDL:HL-1050 series;CLS:PRINTER;"

Changed in linux:
importance: High → Medium
status: Confirmed → Triaged
Ben Collins (ben-collins) wrote :

I do not believe this is a kernel problem

Changed in linux:
assignee: ubuntu-kernel-team → nobody
milestone: none → hardy-alpha-6

Ben, but note that once, it is also not a problem of the printer setup tools, as already running /usr/lib/cups/backend/usb shows the problem, and second, gnome-cups-manager is not maintained any more and replaced by system-config-printer.

So it can only be the kernel, CUPS, or the printer.

Is anyone here with another printer having the same problem? Which model?

Sitsofe Wheeler, are you sure that your printer, your printer cable, and your PC are OK? Does your printer work correctly with parallel port or network connection?

Sitsofe Wheeler (sitsofe) wrote :

Till:
I don't think I'm going to go as far as testing the parallel port - I think I've had enough. I've tested this bug in five Ubuntu releases (sometimes pre-releases). I've filed it upstream and had the bug closed ("The Brother USB implementation is full of bugs like this. Assuming that any fix is possible, it will have to come from the kernel folks" - Mike Sweet). I've tested experimental packages. Buying a parallel cable, checking the PC, or buying a network card interface isn't going to fix this. I don't think it's worth anyone spending any more time on this - let's close it and mark it unfixable...

Steve Langasek (vorlon) on 2008-03-13
Changed in cupsys:
milestone: hardy-alpha-6 → ubuntu-8.04-beta
Sitsofe Wheeler (sitsofe) wrote :

Thanks for trying to migrate this forward Steve but I think this bug has chewed up too much of people's time already (and no one else really saw this problem). Resolving Invalid.

Changed in cupsys:
status: Triaged → Invalid
Stanley Sokolow (overbyte) wrote :

Whoa! I respectfully object that declaring this bug as invalid just to resolve it is not a responsible way to treat Ubuntu bugs. I am one of the other people who "really saw this problem" and reported it. I haven't been participating in this bug thread for quite a while because I got around the bug by using the parallel port instead of the buggy USB interface, but I've been watching and hoping for a bug fix. My printer is a Brother HL-1440. I have several. They all do the same thing. I recently bought a newer Brother model HL-5250. I've been too busy to install Hardy alphas since alpha-3, but when beta is released, I plan to install the beta and re-test all of the bugs I reported which are still unresolved, including this one. I recall seeing other bug reports which are almost duplicates of this bug, so I'm sure that other people had the problem and either gave up on Ubuntu or used a different printer or port.

I see that a new Brother driver is targeted for inclusion in the beta release. That should be a good time to re-visit this bug. As the famous movie line from Arnold goes, "I'll be bock." Please keep this bug open.

Stan

Sitsofe Wheeler (sitsofe) wrote :

Setting bug status to Confirmed (I seemingly can't select Triaged which is what it was previously) following Stanley's comment. Please note that it was me (the original reporter) who closed the bug invalid - not Ubuntu folks. My reasoning was that if I could not/did not want try every single request (different printer cable, parallel port, network port) from an Ubuntu dev to resolve the problem this bug was better off closed (if you review this bug you will find that I have already tested with two computers - an Athlon 850 desktop and a Thinkpad T60 laptop and both show the problem).

Changed in cupsys:
status: Invalid → Confirmed
Steve Langasek (vorlon) on 2008-03-21
Changed in cupsys:
milestone: ubuntu-8.04-beta → ubuntu-8.04
Steve Langasek (vorlon) on 2008-03-21
Changed in cupsys:
milestone: ubuntu-8.04 → none

I have this same problem, followed your steps above, with a LaserJet4 in BOTH Gutsy, Hardy and PClinux. This was tested on a T61 running both Gutsy and Hardy and a R51 running Gutsy with the parallel cable. My T61 does not have a parallel connector.
<email address hidden>

If you do

/usr/lib/cups/backend/usb

or

/usr/lib/cups/backend/hp

repeatedly, are the results always exactly the same?

Till,

1st one: "Nothing prints out" (10 times)

2nd one: direct hp "Unknown" "HP Printer (HPLIP)" (10 times)

george

On Sun, Mar 30, 2008 at 4:31 PM, Till Kamppeter <email address hidden>
wrote:

> If you do
>
> /usr/lib/cups/backend/usb
>
> or
>
> /usr/lib/cups/backend/hp
>
> repeatedly, are the results always exactly the same?
>
> --
> Printer is not detected properly over USB
> https://bugs.launchpad.net/bugs/35638
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Till, here some more always the same
Nothing prints out for these
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb
gpw@gpw-a:~$ /usr/lib/cups/backend/usb

These print out consistently
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"
gpw@gpw-a:~$
gpw@gpw-a:~$ /usr/lib/cups/backend/hp
direct hp "Unknown" "HP Printer (HPLIP)"

George

On Sun, Mar 30, 2008 at 5:27 PM, George Whitmore <
<email address hidden>> wrote:

> Till,
>
> 1st one: "Nothing prints out" (10 times)
>
>
> 2nd one: direct hp "Unknown" "HP Printer (HPLIP)" (10 times)
>
> george
>
>
>
> On Sun, Mar 30, 2008 at 4:31 PM, Till Kamppeter <email address hidden>
> wrote:
>
> > If you do
> >
> > /usr/lib/cups/backend/usb
> >
> > or
> >
> > /usr/lib/cups/backend/hp
> >
> > repeatedly, are the results always exactly the same?
> >
> > --
> > Printer is not detected properly over USB
> > https://bugs.launchpad.net/bugs/35638
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>

George, for me it looks like that your computer is not discovering your printer at all. Is it turned on? Is it a USB printer? Is the cable OK?

Can you do

sudo lsusb
sudo lsusb -vvv
dmesg
ls -l /dev/usb/lp* /dev/usblp*

and post the output here?

Download full text (44.2 KiB)

Hi Till

This is the lsusb and lsusb -vvv:

        bInterval 255
Hub Descriptor:
  bLength 9
  bDescriptorType 41
  nNbrPorts 2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood 1 * 2 milli seconds
  bHubContrCurrent 0 milli Ampere
  DeviceRemovable 0x00
  PortPwrCtrlMask 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status: 0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 002 Device 002: ID 04b4:4100 Cypress Semiconductor Corp.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x04b4 Cypress Semiconductor Corp.
  idProduct 0x4100
  bcdDevice 0.02
  iManufacturer 1
  iProduct 2 USB PRINT
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 50
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 4
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 2
      bNumEndpoints 2
      bInterfaceClass 7 Printer
      bInterfaceSubClass 1 Printer
      bInterfaceProtocol 2 Bidirectional
      iInterface 0
      ** UNRECOGNIZED: 09 21 10 01 00 01 22 25 00
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
cannot read device status, Broken pipe (32)

Bus 002 Device 001: ID 0000:0000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x0000
  idProduct 0x0000
  bcdDevice 2.06
  iManufacturer 3 Linux 2.6.24-12-generic uhci_hcd
  iProduct 2 UHCI Host Controller
  iSerial 1 0000:00:1a.1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorTyp...

Hi Till

I have my R51 with windows printing with the same cable and printer. Really
had no problems till late in the life of Gutsy, that is where it all started
then Hardy has never worked. Other then reloading differnt OS's nothing else
has happened. I even purchased a new USB to Centronics Parallel cable and
have since purchased a Centronics to serial adapter that will plug into my
T61 (T61 does NOT have a parallel connector anymore...

george

Other then the printer issue hardy is working very well lately...

On Sun, Mar 30, 2008 at 5:55 PM, Till Kamppeter <email address hidden>
wrote:

> George, for me it looks like that your computer is not discovering your
> printer at all. Is it turned on? Is it a USB printer? Is the cable OK?
>
> Can you do
>
> sudo lsusb
> sudo lsusb -vvv
> dmesg
> ls -l /dev/usb/lp* /dev/usblp*
>
> and post the output here?
>
> --
> Printer is not detected properly over USB
> https://bugs.launchpad.net/bugs/35638
> You received this bug notification because you are a direct subscriber
> of the bug.
>

George, can you do

sudo usb_printerid /dev/usb/lp0

and post the output here?

Please note also that your problem is not the problem originally reported here. Your problem is that CUJPS cannot cope with a USB printer which does not supply its device ID. Every native USB printer supplies its ID< but your adapter cable is a bad implementation, it does not pass on the device ID which the printer supplies to its parallel port. Please report a separate bug on this, perhaps even better directly upstream at http://www.cups.org/ (problem will occur the same way if you are using another Linux distribution than Ubuntu or Mac OS X).

Hi Till,
here is the results:
gpw@gpw-a:~$ sudo usb_printerid /dev/usb/lp0
[sudo] password for gpw:
Error: Input/output error: GET_DEVICE_ID on '/dev/usb/lp0'
gpw@gpw-a:~$

You are correct as I have always used a Parallel Cable with my LaserJet4. If
I used a Bluetooth adapter to the Parallel port on the LaserJet, do you
think that would work? This T61 is the first computer I have owned that did
NOT have a parallel Port connection.

I apologize for your trouble, I didn't mean to get you side tracked like
that. Thanks for helping me.

On my R51 connected to the Laserjet4 running WindowsXP, I had to tell
Windows to use the USB port to find the Printer, it does that and works.
That could be a way to fix it with Linux CUPS.

Good luck on the Hardy release, really working great, had a little problem
with the network manager "step stairs" Icon desipearing from the top panel.
The network itself was fine just the Icon in the top panel. It's all fine
now. I did have some early crashes with Tomboy but those are all fine now.
Just loaded SongBird yesterday, slick program, a true Windows Killer and I
might say OSX also...

Thanks again...
George

On Mon, Mar 31, 2008 at 2:55 AM, Till Kamppeter <email address hidden>
wrote:

> George, can you do
>
> sudo usb_printerid /dev/usb/lp0
>
> and post the output here?
>
> Please note also that your problem is not the problem originally
> reported here. Your problem is that CUJPS cannot cope with a USB printer
> which does not supply its device ID. Every native USB printer supplies
> its ID< but your adapter cable is a bad implementation, it does not pass
> on the device ID which the printer supplies to its parallel port. Please
> report a separate bug on this, perhaps even better directly upstream at
> http://www.cups.org/ (problem will occur the same way if you are using
> another Linux distribution than Ubuntu or Mac OS X).
>
> --
> Printer is not detected properly over USB
> https://bugs.launchpad.net/bugs/35638
> You received this bug notification because you are a direct subscriber
> of the bug.
>

dracon (picky2k) wrote :

Have this identical problem but being a nube have no real clue how to address.

From above:
"On my R51 connected to the Laserjet4 running WindowsXP, I had to tell
Windows to use the USB port to find the Printer, it does that and works.
That could be a way to fix it with Linux CUPS."

I have same condition except:
Windows 2K, processor self assembled (INTELD865PERL MB/1.5GB)
LJ4 on Parallel to USB cable
HP 890c Deskjet on same cable type.

My Ubuntu system is Gutsy. (7.10)

HP 890c never (well almost never) fails to identify and jobs will follow it if usb cable is moved to another usb port.
HP LJ4 almost never identifies.

W2k is rock solid on both printers using these cables so the cables must be passing device ids. Up to now Ive not found many things Windoze can do the Ubuntu could not. This appears to be one of those more noticeable problems.
Sometimes a reboot will find the HP4 but usually not. Once found it can be added and functions until a reboot.
Have never seen it drop once found until the system is rebooted. Then it will show in the installed printers list but will not print.

If this is a bug that has been opened www.cups.org can you point me to the bug report and I'll follow it there.
Thanks,
Bill

lpinfo and lsusb runs attached

latest lpinfo -v (it varies from time to time)
$ lpinfo -v
network socket
network beh
direct usb://HP/DESKJET%20890C
direct hpfax
direct hp
network http
network ipp
network lpd
direct parallel:/dev/lp0
direct parallel:/dev/lp1
file cups-pdf:/
direct scsi
direct hal:///org/freedesktop/Hal/devices/usb_device_ffffffff_ffffffff_noserial_0_printer_noserial
direct hal:///org/freedesktop/Hal/devices/usb_device_ffffffff_ffffffff_noserial_1_printer_noserial
network smb

Coincident lsusb output:
$ lsusb
Bus 008 Device 009: ID 06e1:0709 ADS Technologies, Inc.
Bus 008 Device 008: ID 067b:2305 Prolific Technology, Inc. PL2305 Parallel Port
Bus 008 Device 007: ID 047e:2892 Agere Systems, Inc. (Lucent)
Bus 008 Device 006: ID 0409:005a NEC Corp.
Bus 008 Device 001: ID 0000:0000
Bus 007 Device 005: ID 14cd:6600
Bus 007 Device 004: ID 05e3:0760 Genesys Logic, Inc. Card Reader
Bus 007 Device 002: ID 03f0:1705 Hewlett-Packard <my ed: this is a scanner not printer>
Bus 007 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 001 Device 003: ID 067b:2305 Prolific Technology, Inc. PL2305 Parallel Port
Bus 001 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 006 Device 004: ID 0802:2800 Mako Technologies, LLC
Bus 006 Device 001: ID 0000:0000

Download full text (3.2 KiB)

Use a parallel centronics printer cable with your R51. It works perfect for
both windows (any) and Linux (any)
I don't have a parallel in port on my new T61, so have to use USB. Still
haven't heard about any Cups fixes to solve the USB problem with early HP
Laserjets.

On Fri, Apr 11, 2008 at 12:26 AM, dracon <email address hidden> wrote:

> Have this identical problem but being a nube have no real clue how to
> address.
>
> >From above:
> "On my R51 connected to the Laserjet4 running WindowsXP, I had to tell
> Windows to use the USB port to find the Printer, it does that and works.
> That could be a way to fix it with Linux CUPS."
>
> I have same condition except:
> Windows 2K, processor self assembled (INTELD865PERL MB/1.5GB)
> LJ4 on Parallel to USB cable
> HP 890c Deskjet on same cable type.
>
> My Ubuntu system is Gutsy. (7.10)
>
> HP 890c never (well almost never) fails to identify and jobs will follow
> it if usb cable is moved to another usb port.
> HP LJ4 almost never identifies.
>
> W2k is rock solid on both printers using these cables so the cables must
> be passing device ids. Up to now Ive not found many things Windoze can do
> the Ubuntu could not. This appears to be one of those more noticeable
> problems.
> Sometimes a reboot will find the HP4 but usually not. Once found it can be
> added and functions until a reboot.
> Have never seen it drop once found until the system is rebooted. Then it
> will show in the installed printers list but will not print.
>
> If this is a bug that has been opened www.cups.org can you point me to
> the bug report and I'll follow it there.
> Thanks,
> Bill
>
> lpinfo and lsusb runs attached
>
> latest lpinfo -v (it varies from time to time)
> $ lpinfo -v
> network socket
> network beh
> direct usb://HP/DESKJET%20890C
> direct hpfax
> direct hp
> network http
> network ipp
> network lpd
> direct parallel:/dev/lp0
> direct parallel:/dev/lp1
> file cups-pdf:/
> direct scsi
> direct
> hal:///org/freedesktop/Hal/devices/usb_device_ffffffff_ffffffff_noserial_0_printer_noserial
> direct
> hal:///org/freedesktop/Hal/devices/usb_device_ffffffff_ffffffff_noserial_1_printer_noserial
> network smb
>
> Coincident lsusb output:
> $ lsusb
> Bus 008 Device 009: ID 06e1:0709 ADS Technologies, Inc.
> Bus 008 Device 008: ID 067b:2305 Prolific Technology, Inc. PL2305 Parallel
> Port
> Bus 008 Device 007: ID 047e:2892 Agere Systems, Inc. (Lucent)
> Bus 008 Device 006: ID 0409:005a NEC Corp.
> Bus 008 Device 001: ID 0000:0000
> Bus 007 Device 005: ID 14cd:6600
> Bus 007 Device 004: ID 05e3:0760 Genesys Logic, Inc. Card Reader
> Bus 007 Device 002: ID 03f0:1705 Hewlett-Packard <my ed: this is a
> scanner not printer>
> Bus 007 Device 001: ID 0000:0000
> Bus 003 Device 001: ID 0000:0000
> Bus 005 Device 001: ID 0000:0000
> Bus 004 Device 001: ID 0000:0000
> Bus 001 Device 003: ID 067b:2305 Prolific Technology, Inc. PL2305 Parallel
> Port
> Bus 001 Device 001: ID 0000:0000
> Bus 002 Device 001: ID 0000:0000
> Bus 006 Device 004: ID 0802:2800 Mako Technologies, LLC
> Bus 006 Device 001: ID 0000:0000
>
> --
> Printer is not detected properly over USB
> https://bugs.launchpad.net/bugs/35638
> You received this bug notificat...

Read more...

dracon (picky2k) wrote :

Thanks, but I have the parallel port reserved and have used these printers several years on Windoze with this connection....need to use them via the usb cables and it allows easy unplug and attach to my laptop. Also problem is obviously not electrical since Windoze correctly senses and accesses the printers.

Also am beginning to think this problem is not a CUPs problem but a HAL problem.
When the printers are shown available, hal has correctly found both. When the HP4 is dropped (can happen to the 890c but infrequently) hal only shows the cable but not the attached usb device.

If hal finds the HP4 it is listed as an "unknown" device on usb 1, which still lets me configure it properly. On reboot, if hal finds the "unknown" printer (HP4) on another usb port, cups reroutes the pended print jobs to it (cups finds the printer "unknown" and uses the correct driver to print a pended document).

hal-device-manager displays the parallel to usb cable correctly and printer as "unknown usb" when it finds it.
When it does not find it, it displays the cable correctly but no "usb unknown".

Suspect this could be a timing problem within hal, occasionally not receiving a signal back from the 'unknown' printer a startup within the expected time during device identification. Timing differences withing the devices themselves could account for the differences in how frequently they are dropped.

Is there a way to slow the hal startup or cycle process, or re run hal after the system is stable to rebuild the tables ,or even force a device into hal's table? (are there any control parameters for hal that can be user set or forced?)

The problem is, HP Laserjets do NOT have the capability of sending the
correct signal to cups via the usb connection. That is why M$ makes YOU pick
the USB to start with. The HP Laserjets are so old and so few are still in
use that why bother. The problem lies with the early HP Laserjets not having
the capability to announce itself.
Someone must pressure the Cups team to let the Linux user send to signal to
the Laserjet, if you can get that done fine. I just don't think there is
such a need in todays market to do it.

I'm going to try Bluetooth, If that does not work will get a newer printer.
There are switch boxes that you can get for Parallel Centronics cables to
connect to more then one printer. I've seen some of them with 6 switches,
just turn the switch to the printer.

Good luck, It will be interesting to see if you can get the Cups to make the
change at this late.

On Fri, Apr 11, 2008 at 10:13 AM, dracon <email address hidden> wrote:

> Thanks, but I have the parallel port reserved and have used these
> printers several years on Windoze with this connection....need to use
> them via the usb cables and it allows easy unplug and attach to my
> laptop. Also problem is obviously not electrical since Windoze correctly
> senses and accesses the printers.
>
> Also am beginning to think this problem is not a CUPs problem but a HAL
> problem.
> When the printers are shown available, hal has correctly found both. When
> the HP4 is dropped (can happen to the 890c but infrequently) hal only shows
> the cable but not the attached usb device.
>
> If hal finds the HP4 it is listed as an "unknown" device on usb 1, which
> still lets me configure it properly. On reboot, if hal finds the
> "unknown" printer (HP4) on another usb port, cups reroutes the pended
> print jobs to it (cups finds the printer "unknown" and uses the correct
> driver to print a pended document).
>
> hal-device-manager displays the parallel to usb cable correctly and
> printer as "unknown usb" when it finds it.
> When it does not find it, it displays the cable correctly but no "usb
> unknown".
>
> Suspect this could be a timing problem within hal, occasionally not
> receiving a signal back from the 'unknown' printer a startup within the
> expected time during device identification. Timing differences withing
> the devices themselves could account for the differences in how
> frequently they are dropped.
>
> Is there a way to slow the hal startup or cycle process, or re run hal
> after the system is stable to rebuild the tables ,or even force a device
> into hal's table? (are there any control parameters for hal that can be
> user set or forced?)
>
> --
> Printer is not detected properly over USB
> https://bugs.launchpad.net/bugs/35638
> You received this bug notification because you are a direct subscriber
> of the bug.
>

dracon (picky2k) wrote :

George, thanks.

Since telling Windoze where the printer is was a one time deal, that isn't a problem on that side. Wish that could be done for Ubuntu.
Parallel cables don't solve my problem of easily switching the printer off to my laptop either which has no Centronics port.

Now to cups. I don't think this is really a cups problem but I don't yet really understand well the relationship between hal and cups. I'm under the impression that hal runs before cups. It seems that when hal has found and identified the devices' that exist (even if the identification is "unknown usb device") then cups is capable 1) of allowing driver to be assigned to that device/hal port and 2) follow that device if it is subsequently moved to another usb port between reboots.

It's only when hal only finds the printer cable (Centronics parallel to usb cable device) and does not find a printer on the end of the cable (even a "unknown" printer) that cups does not present that printer for configuration in the "add Printer" options. That leads me to conclude that cups is ok but hal is not.

Now I don't know what hal uses to get the hardware info but from what I've read hal is pretty low level stuff looking for signals on specific pins with certain timings...etc. Since hal has found the Cable device I expect that his timing is PDQ and he doesn't wait a long time for the end point (printer) of the cable to post a signal....Just guessing here but if hal moves on to the next port before whatever device is on the end of that cable sends a "i'm here!", he will not even find a "unknown" device and assumes that no device exists. At that point cups can't find a printer to configure since hal tells him there is no device on the cable.

Net: I believe this could be a simple timing fix in hal for a coder to cause hal to wait a millisecond or so for the device at the cable end to post if he finds a Parallel2usb "Printer" cable device on the port (he can tell the difference), (but not me! unless I get sufficently bugged to go back to school -lol- not likely)

 I don't think this is a cups problem...(is problem for me though) If it's hal this problem will be distribution independent across Linuxes and while the older HP laserjets may be "older" there are a bunch out there, and this has more to do with how hal is handling the Parallel Printer Cable device regardless of manufacturer.. (I lose my HP 890c inkjet sometimes as well the same exact way...just not as often probably because it is quicker at responding to it's interface...and I've seen the problem expressed with Brother, Epson, and other printers of both technologies in several fora, not just this one. (most end with a null answer as this one seems to have))

Any idea how to get a hal type to take a look at this? I guess Ubuntu team could champion it but the interest seems low even from the cups side. Still if Ubuntu is trying to establish itself in the laptop market where parallel ports are appearing less frequently maybe they should take a look at this.

Download full text (3.4 KiB)

You said you have Thinkpad R51 That has a 25 pin parallel port on he back,
and your LaserJet4 printer has a Centronics port.

On Fri, Apr 11, 2008 at 4:32 PM, dracon <email address hidden> wrote:

> George, thanks.
>
> Since telling Windoze where the printer is was a one time deal, that isn't
> a problem on that side. Wish that could be done for Ubuntu.
> Parallel cables don't solve my problem of easily switching the printer off
> to my laptop either which has no Centronics port.
>
> Now to cups. I don't think this is really a cups problem but I don't yet
> really understand well the relationship between hal and cups. I'm under
> the impression that hal runs before cups. It seems that when hal has
> found and identified the devices' that exist (even if the identification
> is "unknown usb device") then cups is capable 1) of allowing driver to
> be assigned to that device/hal port and 2) follow that device if it is
> subsequently moved to another usb port between reboots.
>
> It's only when hal only finds the printer cable (Centronics parallel to
> usb cable device) and does not find a printer on the end of the cable
> (even a "unknown" printer) that cups does not present that printer for
> configuration in the "add Printer" options. That leads me to conclude
> that cups is ok but hal is not.
>
> Now I don't know what hal uses to get the hardware info but from what
> I've read hal is pretty low level stuff looking for signals on specific
> pins with certain timings...etc. Since hal has found the Cable device I
> expect that his timing is PDQ and he doesn't wait a long time for the
> end point (printer) of the cable to post a signal....Just guessing here
> but if hal moves on to the next port before whatever device is on the
> end of that cable sends a "i'm here!", he will not even find a "unknown"
> device and assumes that no device exists. At that point cups can't find
> a printer to configure since hal tells him there is no device on the
> cable.
>
> Net: I believe this could be a simple timing fix in hal for a coder to
> cause hal to wait a millisecond or so for the device at the cable end to
> post if he finds a Parallel2usb "Printer" cable device on the port (he
> can tell the difference), (but not me! unless I get sufficently bugged
> to go back to school -lol- not likely)
>
> I don't think this is a cups problem...(is problem for me though) If
> it's hal this problem will be distribution independent across Linuxes
> and while the older HP laserjets may be "older" there are a bunch out
> there, and this has more to do with how hal is handling the Parallel
> Printer Cable device regardless of manufacturer.. (I lose my HP 890c
> inkjet sometimes as well the same exact way...just not as often probably
> because it is quicker at responding to it's interface...and I've seen
> the problem expressed with Brother, Epson, and other printers of both
> technologies in several fora, not just this one. (most end with a null
> answer as this one seems to have))
>
> Any idea how to get a hal type to take a look at this? I guess Ubuntu
> team could champion it but the interest seems low even from the cups
> side. Still if Ubuntu is trying to establish...

Read more...

dracon (picky2k) wrote :

George,
Nope. Sorry for the confusion, but I quoted a previous post (who had said they had a R51..may have been you) and said I had the same problem, which I do. I id'ed the problem with my user assembled desktop with a INTELS865PERL motherboard. It has a Parallel port that I have reserved. The laptop is my daughter's and it does not have a para/port. Don't have the Make/model handy at the moment but when she comes over (frequently) she attaches the printer for output....hense the usb adapter cable. It's not uinreasonable to want this hardware to work and the HP4 is a horse of a printer with a great engine. Not getting rid of that beauty anytime soon.
Anyway, this combination ought to work in LINUX. Muffing around the problem by rearranging hardware doesn't really address the issue of the adapter cable support deficiency.
Thanks for the responses.

I'm trying to find a way to get to the hal folks to see if they can help with the issue. There are several threads out there with various descriptions of this issue and most have no clue where the genesis of the problem is. If it's not hal it below that level. I really do not think it is cups but that it is were the low level hardware detection is occurring....Since the cable itself is being correctly identified as a printer, it seems probable that a timing change in the logic would be all that is required to fix this.

Wish I knew more about linux internals (only in a brief weak moment, then I get a beer and think about the beach)
If I find an answer I'll post it back here..Hope you don't have to buy another printer to get this fixed. That is not exactly what I would call a "it just works" solution.
Later,
Bill

I see your problem, remember it is the printer talking to the computer, Hall
has nothing to do with that. It's an old printer trying to connect to on a
new(er) computer. There must a reason for the cups people to put time into
that setup. If it happens great if not you will need to try another means,
ie a network print server for any computer on that network.
I HAD A R51 and have replaced it with a T61 just recently. Nobody uses
printer ports now all are USB. The going backwards is the problem you need
to solve. The R51 has a parallel printer port.
good luck

On Fri, Apr 11, 2008 at 5:56 PM, dracon <email address hidden> wrote:

> George,
> Nope. Sorry for the confusion, but I quoted a previous post (who had said
> they had a R51..may have been you) and said I had the same problem, which I
> do. I id'ed the problem with my user assembled desktop with a INTELS865PERL
> motherboard. It has a Parallel port that I have reserved. The laptop is my
> daughter's and it does not have a para/port. Don't have the Make/model handy
> at the moment but when she comes over (frequently) she attaches the printer
> for output....hense the usb adapter cable. It's not uinreasonable to want
> this hardware to work and the HP4 is a horse of a printer with a great
> engine. Not getting rid of that beauty anytime soon.
> Anyway, this combination ought to work in LINUX. Muffing around the
> problem by rearranging hardware doesn't really address the issue of the
> adapter cable support deficiency.
> Thanks for the responses.
>
> I'm trying to find a way to get to the hal folks to see if they can help
> with the issue. There are several threads out there with various
> descriptions of this issue and most have no clue where the genesis of
> the problem is. If it's not hal it below that level. I really do not
> think it is cups but that it is were the low level hardware detection is
> occurring....Since the cable itself is being correctly identified as a
> printer, it seems probable that a timing change in the logic would be
> all that is required to fix this.
>
> Wish I knew more about linux internals (only in a brief weak moment, then
> I get a beer and think about the beach)
> If I find an answer I'll post it back here..Hope you don't have to buy
> another printer to get this fixed. That is not exactly what I would call a
> "it just works" solution.
> Later,
> Bill
>
> --
> Printer is not detected properly over USB
> https://bugs.launchpad.net/bugs/35638
> You received this bug notification because you are a direct subscriber
> of the bug.
>

dracon (picky2k) wrote :

Thanks George. Appreciate your input.
Still, it is the same hardware talking to the same other hardware whether Linux or W$ and it works every time with W$ the problem has to be SMOP. (Simple Matter Of Programming) ... not hardware.
My understanding is hal senses the hardware and determines the device info....is that not correct? (senses = probing the HW connections) DOesn't cuos use input from hal to build it's tables of available printers...
If hal cannot find the printer (finds and IDs the cable ok) then cups has no chance to set the printer up.
Don't really think the printer is "trying": to send anything until it's asked.
If it is hal that is asking...and hal leaves before getting the HW answer back ...viola no printer.
I still believe that hal leaves before the printer gets back to it after being polled...
I have been wrong before though...
Time for another beer.
I'll let you know what I find.
You know it can't be brain surgery if Gates can figure it out...;>D
Bill

Sitsofe Wheeler (sitsofe) wrote :

It might be better to spin the HP printer issue off into its own bug... If you do could you post a link to your new bug here?

dracon (picky2k) wrote :

Sure, but it's not a HP issue IMO. Several threads exist with this problem with various Printers from Brother as in this thread, to Epson, to HP...on the web in various Linux distros including more than this one for ubuntu. Does not appear to be printer manufacturer specific, but related to the adapter cable handling by hal. If I find a way to raise it as a hal bug in correctly handling the usb adapter cables, which is what it appears to be, I'll post that back here.
BTW do you know how cups references/uses hal when trying to locate printers? and do you have a contact with the hal owners?

Sitsofe Wheeler (sitsofe) wrote :

dracon:
The thing is, this bug is about has nothing to do with hal (if you read earlier comments like https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/35638/comments/77 you will even see me saying the output of the hal backend is fine for me) or parallel -> usb cables. I don't doubt that the end result looks the same but the cause is different. Really it's about (Brother) printers with broken (built into the printer) USB implementations. CUPS only "recently" (around Gutsy era) gained a hal backend and I first filed this issue back in the Dapper days (which pre-dates the hal backend by at least a year).

CUPS's USB backend has nothing to do with hal. I do not know what CUPS currently uses its hal backend for (perhaps to save on polling or announce the arrival of new printers to interested programs) but I believe in your case it is a red herring. The hal backend might well not be working for you but from what has been said I don't think this is your real problem (as the hal patches are apparently not even carried by upstream cups). If you REALLY want to talk to the developers of the hal cups backend you can try the project Utopia list ( http://mail.gnome.org/mailman/listinfo/utopia-list ) but if you do that I'd make absolutely sure that the real problem is the CUPS hal backend and not something else. Personally I think you will learn more by filing a new bug on http://cups.org/login.php?PAGE=/str.php?U0+P0+S-2+C0+I0+E0+M10+Q and carefully (but concisely) explaining the issue you have and seeing what the response is even if it is "we won't spend more time on such cables or printers that use them".

The fact that Windows works just suggests it identifies printers a different way (without depending entirely on deviceid strings). Maybe it ties up a port entirely but that discussion would be really better off in a separate bug report as any discussion here will only confuse people as to the purpose of this bug report (bugs.launchpad.net isn't suited to forum discussions).

quixote (commer-greenglim) wrote :

I'm suddenly having major issues with my USB-connected printer. I have a Sharp MP30 laptop (from 2005), Epson Stylus Photo R220 printer, and running Hardy 8.04 with all updates applied as of Apr 20. (As a user, not a developer, I don't know what the problem really is or whether this is the correct thread.)

Before I read this thread, this was the problem: after a cold start, everything worked, but after suspend, the system thought the printer was "unplugged." Other USB devices, like a thumbdrive, would not work either. I have two USB ports, and either one would become nonfunctional after trying to talk to the printer. Restarting cupsys, restarting X, nothing worked. Only a complete shutdown and boot up made the USB ports available again.

After I read this thread and tried some of the diagnostics after suspending, it turned out that $lsusb or $lpinfo -v somehow woke the port back up and it would print. So what's the deal?? Any command to poll the printer or usb reminds the system of something and everything works again??

Bizarre. I hope I'm not the only person with this problem and it's something that can get sorted out. I've been using Ubuntu since Dapper, and this is the first time anything like this has happened.

Some of the output from diagnostics:
-----------------------
Cold boot, printing via usb cable works:
-----------------------
$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 002: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

$sudo usb_printerid /dev/usb/lp0
GET_DEVICE_ID string:
MFG:EPSON;CMD:ESCPL2,BDC,D4;MDL:Stylus Photo R220;CLS:PRINTER;DES:EPSON Stylus Photo R220;

$lpinfo -v
network socket
network beh
direct hal:///org/freedesktop/Hal/devices/usb_device_4b8_5_M01P20511302159560_if0_printer_noserial
direct usb://EPSON/Stylus%20Photo%20R220
direct epson:/dev/usb/lp0
direct hpfax
direct hp
network http
network ipp
network lpd
file cups-pdf:/
direct scsi
network smb

------------------------
after suspend: printer and/or usb no longer works
------------------------
$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

HOWEVER: this time, after running lsusb, the printer woke up and started printing the job I'd just given it. In the past, besides restarting X, I'd also tried restarting cupsys service and everything else I could think of.

Now the output is
$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

------------------------------
another suspend: printer not working at first
------------------------------
$lpinfo -v
network socket
network beh
direct hal:///org/freedesktop/Hal/devices/usb_device_4b8_5_M01P20511302159560_if0_printer_noserial
direct usb://EPSON/Stylus%20Photo%20R220
direct epson:/dev/usb/lp0
direct hpfax
direct hp
network http
network ipp
network lpd
file cups-pdf:/
direct scsi
network smb

and it started printing the job I'd just given it....

dracon (picky2k) wrote :
Download full text (5.7 KiB)

Hi. I'll try this off the launchpad bug forum since I'm not at all sure it will work for you and don't want to spread any nonsense further than required.
I'm dracon on the launchpad and I was able to get past my cups problem bu "forcing" a printer ID.

Here is what you might try. At least it's easy and worth a shot.
Go to System/Administration/Printing> click the New Printer button to add a new printer...Don't mess with your normal set up just leave well enough alone there.

When you get the available printers selection pane select "Other"
and in the URI field put the exact ID of your cable (copy/paste). From your note that would be:

hal:///org/freedesktop/Hal/devices/usb_device_4b8_5_M01P20511302159560_if0_printer_noserial
Click forward and select the appropriate device driver for your printer, and continue to set the "new" printer up normally..new name and human description, but leave the default location alone.

This should add a new printer presence named (Different-Name?) to your printer list.

Try printing to that printer, make it default, see if it is able to reconnect.
This worked for me with a legacy HP4 that cups found about 50% of the time..Now it doesn't fail and I can recover print jobs if the printer is unplugged and re plugged.

If this works please let me know. Maybe we can point the Cups/Hal folks to a particular problem or give some bypass suggestionto the bug forum. (if it does not work le me know that too)

Bill

quixote <email address hidden> wrote: I'm suddenly having major issues with my USB-connected printer. I have
a Sharp MP30 laptop (from 2005), Epson Stylus Photo R220 printer, and
running Hardy 8.04 with all updates applied as of Apr 20. (As a user,
not a developer, I don't know what the problem really is or whether this
is the correct thread.)

Before I read this thread, this was the problem: after a cold start,
everything worked, but after suspend, the system thought the printer was
"unplugged." Other USB devices, like a thumbdrive, would not work
either. I have two USB ports, and either one would become nonfunctional
after trying to talk to the printer. Restarting cupsys, restarting X,
nothing worked. Only a complete shutdown and boot up made the USB ports
available again.

After I read this thread and tried some of the diagnostics after
suspending, it turned out that $lsusb or $lpinfo -v somehow woke the
port back up and it would print. So what's the deal?? Any command to
poll the printer or usb reminds the system of something and everything
works again??

Bizarre. I hope I'm not the only person with this problem and it's
something that can get sorted out. I've been using Ubuntu since Dapper,
and this is the first time anything like this has happened.

Some of the output from diagnostics:
-----------------------
Cold boot, printing via usb cable works:
-----------------------
$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 002: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

$sudo usb_printerid /dev/usb/lp0
GET_DEVICE_ID string:
MFG:EPSON;CMD:ESCPL2,BDC,D4;MDL:Stylus Photo R220;CLS:PRINTER;DES:EPSON Stylus Photo R220;

$lpinfo -v
network socket
network be...

Read more...

quixote (commer-greenglim) wrote :

I tried setting up a new printer, R220-test, with the URI as suggested. Otherwise, same driver, etc. It worked, I made it default, printed again, then suspended.

When I came back from suspend, the old Stylus-R220 definition was working fine and the new default R220-test was "unplugged" !

$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

Running that command did not make R220-test become functional.

I then made the old Stylus-220 definition the default again, and re-suspended.

Then both R220-test and Stylus-R220 come up as "unplugged". lsusb shows nothing on Bus001 or 002. But just running that command makes both R220-test and Stylus-R220 work.

$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 008: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

Color me totally puzzled. Hopefully it means something to you!

dracon (picky2k) wrote :

Sorry bout the goose chase.. seemed to work for me so I thought I'd pass it along..(messed up the launchpad in the bargain...my bad!.CUPS is a puzzle I think is still missing a piece or two..your experience is strange and different than mine so I have no ideas left. Sorry. If I think of something I'll email it but really have no idea. Now I am running Gutsy and I think you said you are on Hardy..so maybe there is a difference there, dunno. Got me stumped.
Good luck,
Bill

quixote <email address hidden> wrote: I tried setting up a new printer, R220-test, with the URI as suggested.
Otherwise, same driver, etc. It worked, I made it default, printed
again, then suspended.

When I came back from suspend, the old Stylus-R220 definition was
working fine and the new default R220-test was "unplugged" !

$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

Running that command did not make R220-test become functional.

I then made the old Stylus-220 definition the default again, and re-
suspended.

Then both R220-test and Stylus-R220 come up as "unplugged". lsusb shows
nothing on Bus001 or 002. But just running that command makes both
R220-test and Stylus-R220 work.

$lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 008: ID 04b8:0005 Seiko Epson Corp. Stylus Printer
Bus 001 Device 001: ID 0000:0000

Color me totally puzzled. Hopefully it means something to you!

--
Printer is not detected properly over USB
https://bugs.launchpad.net/bugs/35638
You received this bug notification because you are a direct subscriber
of the bug.

Status in Source Package "cupsys" in Ubuntu: Confirmed
Status in Source Package "linux-source-2.6.15" in Ubuntu: Won't Fix
Status in Source Package "linux-source-2.6.17" in Ubuntu: Won't Fix
Status in Source Package "linux-source-2.6.20" in Ubuntu: Won't Fix
Status in cupsys in Ubuntu Hardy: Confirmed
Status in linux-source-2.6.15 in Ubuntu Hardy: Won't Fix
Status in linux-source-2.6.17 in Ubuntu Hardy: Won't Fix
Status in linux-source-2.6.20 in Ubuntu Hardy: Won't Fix

Bug description:
Description of the problem:
I have a Brother HL1050 that was detected properly in breezy but does not seem to be in dapper.

Steps to reproduce the problem:
1. Plug printer into usb slot and turn the printer on.
2. Run gnome-cups-add .

Expected results:
Printer to be detected and shown under "Use a detected printer:". Printer manufacturer to be displayed in Printer Port dropdown.

Actual rsults:
"No printer detected" is displayed under Use a detected printer. "USB Printer #1 (CANON)" "USB Printer #1 (EPSON)" are displayed in Printer Port dropdown.

---------------------------------
Be a better friend, newshound, and know-it-all with Yahoo! Mobile. Try it now.

Download full text (8.4 KiB)

Hi Bill,

I found something similar(?)
hal:///org/freedesktop/Hal/devices/usb_device_67b_2305_noserial_if0_printer_noserial
BUT this works for me and leaves a ID Name of Laserjet_4 BUT no way is the
URI the same...I could not fined that length of URI anywhere ... The printer
works; is all I'm interested in now, how to help others is a guess at best,
I have not seen the issues you have in dropping when rebooting, and till I
replaced the Cable, I could not find the printer at all; how do you address
that issue? One other thing is We Both have a Laserjet 4 shouldn't the URI
be the same or very similar, for the same product? OR if it is JUST the
Cable we should be the same also...duh...Or am I not seeing something? In
either case we are forcing the LINUX to pass the identifier for the printer
to be recognized. (just like the issue in Windows I needed to select USB
then windows could find the printer)...

I have been printing yesterday and today the Laptop has been turned on and
off everything works.

I other thing when I sent your the WubI Ubuntu 8.04 Hardy Heron web
site...DO it before you unload your windows. I just install it to my other
IBM laptop R51. It installs and leaves a choice to your BOOT ID (you pick
windows or Ubuntu at boot. BUT the big thing is it acts as complete
installation and creates a vurital disk does NOT affect your Hard disk at
all, and leaves Ubuntu name in the Control panel ADD and REMOVE files. NOW
being installed it finds and accepts your total system, printer, laptop keys
and lights your eithernet and or your wireless, video card, any USB stuff
you have. SO you know even before the offical installating where any issues
are THAT IS COOL...IF you have a 3d Nvida or ATI card you will see the WOW
gnome package, also...

Good luck with the Launch Pad effort, how you handle that is (?) but try
anyway, I guess. Then load the program to check your system with Hardy
Heron. Be aware it has only one site in the USA so a little slow, maybe wait
till tonight to try...I have Warner Cable pretty good in the 500mbs download
range.

Your friend from NC.
george

On Sun, Apr 20, 2008 at 4:37 PM, dracon <email address hidden> wrote:

> Hi. I'll try this off the launchpad bug forum since I'm not at all sure it
> will work for you and don't want to spread any nonsense further than
> required.
> I'm dracon on the launchpad and I was able to get past my cups problem bu
> "forcing" a printer ID.
>
> Here is what you might try. At least it's easy and worth a shot.
> Go to System/Administration/Printing> click the New Printer button to add
> a new printer...Don't mess with your normal set up just leave well enough
> alone there.
>
> When you get the available printers selection pane select "Other"
> and in the URI field put the exact ID of your cable (copy/paste). From
> your note that would be:
>
>
> hal:///org/freedesktop/Hal/devices/usb_device_4b8_5_M01P20511302159560_if0_printer_noserial
> Click forward and select the appropriate device driver for your printer,
> and continue to set the "new" printer up normally..new name and human
> description, but leave the default location alone.
>
> This should add a new printer presence named (Diffe...

Read more...

Sitsofe, or any other user with a Brother printer, can you try whether for you using the HAL URL works out?

dracon (picky2k) wrote :
Download full text (10.2 KiB)

George, that is the hal ID for your adapter cable.. that is what I put into the URI field for the "other" printer and it forced my HP4 to lock in..no problems dropping since. If your problem returns you might try that but if it's working now I'd let sleeping dogs lie. Could be some cables are weaker than others (electrically not as well shielded maybe? and some just fail at some point. All's well thst ends..

Bill.

george whitmore <email address hidden> wrote: Hi Bill,

I found something similar(?)
hal:///org/freedesktop/Hal/devices/usb_device_67b_2305_noserial_if0_printer_noserial
BUT this works for me and leaves a ID Name of Laserjet_4 BUT no way is the
URI the same...I could not fined that length of URI anywhere ... The printer
works; is all I'm interested in now, how to help others is a guess at best,
I have not seen the issues you have in dropping when rebooting, and till I
replaced the Cable, I could not find the printer at all; how do you address
that issue? One other thing is We Both have a Laserjet 4 shouldn't the URI
be the same or very similar, for the same product? OR if it is JUST the
Cable we should be the same also...duh...Or am I not seeing something? In
either case we are forcing the LINUX to pass the identifier for the printer
to be recognized. (just like the issue in Windows I needed to select USB
then windows could find the printer)...

I have been printing yesterday and today the Laptop has been turned on and
off everything works.

I other thing when I sent your the WubI Ubuntu 8.04 Hardy Heron web
site...DO it before you unload your windows. I just install it to my other
IBM laptop R51. It installs and leaves a choice to your BOOT ID (you pick
windows or Ubuntu at boot. BUT the big thing is it acts as complete
installation and creates a vurital disk does NOT affect your Hard disk at
all, and leaves Ubuntu name in the Control panel ADD and REMOVE files. NOW
being installed it finds and accepts your total system, printer, laptop keys
and lights your eithernet and or your wireless, video card, any USB stuff
you have. SO you know even before the offical installating where any issues
are THAT IS COOL...IF you have a 3d Nvida or ATI card you will see the WOW
gnome package, also...

Good luck with the Launch Pad effort, how you handle that is (?) but try
anyway, I guess. Then load the program to check your system with Hardy
Heron. Be aware it has only one site in the USA so a little slow, maybe wait
till tonight to try...I have Warner Cable pretty good in the 500mbs download
range.

Your friend from NC.
george

On Sun, Apr 20, 2008 at 4:37 PM, dracon
 wrote:

> Hi. I'll try this off the launchpad bug forum since I'm not at all sure it
> will work for you and don't want to spread any nonsense further than
> required.
> I'm dracon on the launchpad and I was able to get past my cups problem bu
> "forcing" a printer ID.
>
> Here is what you might try. At least it's easy and worth a shot.
> Go to System/Administration/Printing> click the New Printer button to add
> a new printer...Don't mess with your normal set up just leave well enough
> alone there.
>
> When you get the available printers selection pane select "Other...

Download full text (11.3 KiB)

Hi Bill,
Now your talking like an oh southern boy...sleeping dogs...New one for me
but sounds good I'm all set till I start installing Virtual Machine on my
laptop...

have a good one

george

On Sun, Apr 20, 2008 at 6:50 PM, dracon <email address hidden> wrote:

> George, that is the hal ID for your adapter cable.. that is what I put
> into the URI field for the "other" printer and it forced my HP4 to lock
> in..no problems dropping since. If your problem returns you might try
> that but if it's working now I'd let sleeping dogs lie. Could be some
> cables are weaker than others (electrically not as well shielded maybe?
> and some just fail at some point. All's well thst ends..
>
> Bill.
>
> george whitmore <email address hidden> wrote: Hi Bill,
>
> I found something similar(?)
>
> hal:///org/freedesktop/Hal/devices/usb_device_67b_2305_noserial_if0_printer_noserial
> BUT this works for me and leaves a ID Name of Laserjet_4 BUT no way is
> the
> URI the same...I could not fined that length of URI anywhere ... The
> printer
> works; is all I'm interested in now, how to help others is a guess at
> best,
> I have not seen the issues you have in dropping when rebooting, and till
> I
> replaced the Cable, I could not find the printer at all; how do you
> address
> that issue? One other thing is We Both have a Laserjet 4 shouldn't the
> URI
> be the same or very similar, for the same product? OR if it is JUST the
> Cable we should be the same also...duh...Or am I not seeing something? In
> either case we are forcing the LINUX to pass the identifier for the
> printer
> to be recognized. (just like the issue in Windows I needed to select USB
> then windows could find the printer)...
>
> I have been printing yesterday and today the Laptop has been turned on and
> off everything works.
>
> I other thing when I sent your the WubI Ubuntu 8.04 Hardy Heron web
> site...DO it before you unload your windows. I just install it to my other
> IBM laptop R51. It installs and leaves a choice to your BOOT ID (you pick
> windows or Ubuntu at boot. BUT the big thing is it acts as complete
> installation and creates a vurital disk does NOT affect your Hard disk at
> all, and leaves Ubuntu name in the Control panel ADD and REMOVE files. NOW
> being installed it finds and accepts your total system, printer, laptop
> keys
> and lights your eithernet and or your wireless, video card, any USB stuff
> you have. SO you know even before the offical installating where any
> issues
> are THAT IS COOL...IF you have a 3d Nvida or ATI card you will see the WOW
> gnome package, also...
>
> Good luck with the Launch Pad effort, how you handle that is (?) but try
> anyway, I guess. Then load the program to check your system with Hardy
> Heron. Be aware it has only one site in the USA so a little slow, maybe
> wait
> till tonight to try...I have Warner Cable pretty good in the 500mbs
> download
> range.
>
> Your friend from NC.
> george
>
> On Sun, Apr 20, 2008 at 4:37 PM, dracon
> wrote:
>
> > Hi. I'll try this off the launchpad bug forum since I'm not at all sure
> it
> > will work for you and don't want to spread any nonsense further than
> > required.
> > I'm dracon on t...

dracon (picky2k) wrote :
Download full text (12.8 KiB)

Hey George,
bawn 'n bred in de brarpatch !
only spent long enough in Ohio to appreciate getting back to warm weather!
Bill

george whitmore <email address hidden> wrote: Hi Bill,
Now your talking like an oh southern boy...sleeping dogs...New one for me
but sounds good I'm all set till I start installing Virtual Machine on my
laptop...

have a good one

george

On Sun, Apr 20, 2008 at 6:50 PM, dracon
 wrote:

> George, that is the hal ID for your adapter cable.. that is what I put
> into the URI field for the "other" printer and it forced my HP4 to lock
> in..no problems dropping since. If your problem returns you might try
> that but if it's working now I'd let sleeping dogs lie. Could be some
> cables are weaker than others (electrically not as well shielded maybe?
> and some just fail at some point. All's well thst ends..
>
> Bill.
>
> george whitmore wrote: Hi Bill,
>
> I found something similar(?)
>
> hal:///org/freedesktop/Hal/devices/usb_device_67b_2305_noserial_if0_printer_noserial
> BUT this works for me and leaves a ID Name of Laserjet_4 BUT no way is
> the
> URI the same...I could not fined that length of URI anywhere ... The
> printer
> works; is all I'm interested in now, how to help others is a guess at
> best,
> I have not seen the issues you have in dropping when rebooting, and till
> I
> replaced the Cable, I could not find the printer at all; how do you
> address
> that issue? One other thing is We Both have a Laserjet 4 shouldn't the
> URI
> be the same or very similar, for the same product? OR if it is JUST the
> Cable we should be the same also...duh...Or am I not seeing something? In
> either case we are forcing the LINUX to pass the identifier for the
> printer
> to be recognized. (just like the issue in Windows I needed to select USB
> then windows could find the printer)...
>
> I have been printing yesterday and today the Laptop has been turned on and
> off everything works.
>
> I other thing when I sent your the WubI Ubuntu 8.04 Hardy Heron web
> site...DO it before you unload your windows. I just install it to my other
> IBM laptop R51. It installs and leaves a choice to your BOOT ID (you pick
> windows or Ubuntu at boot. BUT the big thing is it acts as complete
> installation and creates a vurital disk does NOT affect your Hard disk at
> all, and leaves Ubuntu name in the Control panel ADD and REMOVE files. NOW
> being installed it finds and accepts your total system, printer, laptop
> keys
> and lights your eithernet and or your wireless, video card, any USB stuff
> you have. SO you know even before the offical installating where any
> issues
> are THAT IS COOL...IF you have a 3d Nvida or ATI card you will see the WOW
> gnome package, also...
>
> Good luck with the Launch Pad effort, how you handle that is (?) but try
> anyway, I guess. Then load the program to check your system with Hardy
> Heron. Be aware it has only one site in the USA so a little slow, maybe
> wait
> till tonight to try...I have Warner Cable pretty good in the 500mbs
> download
> range.
>
> Your friend from NC.
> george
>
> On Sun, Apr 20, 2008 at 4:37 PM, dracon
> wrote:
>
> > Hi. I'll try this off the launchpad bug forum since I...

Qluripax (qluripax) wrote :

I also have problems similar to this, see bug #227342.
I'm using a Oki C5550 MFP which can print via USB in dapper but not in hardy (and probably not in gutsy). This seams to be the same as in comment 106 in this thread. I have the feeling that this is about HAL..

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Sitsofe Wheeler (sitsofe) wrote :

Marking bug as invalid as I no longer have the printer to test with and it's clear this can't be fixed.

Changed in cupsys (Ubuntu Hardy):
status: Confirmed → Invalid
Changed in cupsys (Ubuntu):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers